be.fgov.ehealth.dics.protocol.v5

## Class ConsultNonMedicinalProductType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultNonMedicinalProductType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-04-08T03:28:54+02:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultNonMedicinalProductType
      extends Object
      implements Serializable

  Java class for ConsultNonMedicinalProductType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultNonMedicinalProductType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Name" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
               <element name="Category" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="CommercialStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="Producer" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType"/>
               <element name="Distributor" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
               <element name="AdditionalFields" type="{urn:be:fgov:ehealth:dics:protocol:v5}AdditionalFieldsType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="code" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="codeType" type="{http://www.w3.org/2001/XMLSchema}string" default="CNK" />
             <attribute name="ProductId" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultNonMedicinalProductType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdditionalFieldsType>` | `getAdditionalFields()` Gets the value of the additionalFields property.
    `String` | `getCategory()` Gets the value of the category property.
    `String` | `getCode()` Gets the value of the code property.
    `String` | `getCodeType()` Gets the value of the codeType property.
    `String` | `getCommercialStatus()` Gets the value of the commercialStatus property.
    `ConsultTextType` | `getDistributor()` Gets the value of the distributor property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `ConsultTextType` | `getName()` Gets the value of the name property.
    `ConsultTextType` | `getProducer()` Gets the value of the producer property.
    `String` | `getProductId()` Gets the value of the productId property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setCategory(String value)` Sets the value of the category property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setCodeType(String value)` Sets the value of the codeType property.
    `void` | `setCommercialStatus(String value)` Sets the value of the commercialStatus property.
    `void` | `setDistributor(ConsultTextType value)` Sets the value of the distributor property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setName(ConsultTextType value)` Sets the value of the name property.
    `void` | `setProducer(ConsultTextType value)` Sets the value of the producer property.
    `void` | `setProductId(String value)` Sets the value of the productId property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultNonMedicinalProductType

          public ConsultNonMedicinalProductType()

  - ### Method Detail

    - #### getName

          public ConsultTextType getName()

      Gets the value of the name property.
      Returns:
        possible object is `ConsultTextType`

    - #### setName

          public void setName(ConsultTextType value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getCategory

          public String getCategory()

      Gets the value of the category property.
      Returns:
        possible object is `String`

    - #### setCategory

          public void setCategory(String value)

      Sets the value of the category property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCommercialStatus

          public String getCommercialStatus()

      Gets the value of the commercialStatus property.
      Returns:
        possible object is `String`

    - #### setCommercialStatus

          public void setCommercialStatus(String value)

      Sets the value of the commercialStatus property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProducer

          public ConsultTextType getProducer()

      Gets the value of the producer property.
      Returns:
        possible object is `ConsultTextType`

    - #### setProducer

          public void setProducer(ConsultTextType value)

      Sets the value of the producer property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getDistributor

          public ConsultTextType getDistributor()

      Gets the value of the distributor property.
      Returns:
        possible object is `ConsultTextType`

    - #### setDistributor

          public void setDistributor(ConsultTextType value)

      Sets the value of the distributor property.
      Parameters:
        `value` - allowed object is `ConsultTextType`

    - #### getAdditionalFields

          public List<AdditionalFieldsType> getAdditionalFields()

      Gets the value of the additionalFields property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the additionalFields property.

      For example, to add a new item, do as follows:

              getAdditionalFields().add(newItem);

      Objects of the following type(s) are allowed in the list `AdditionalFieldsType`

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodeType

          public String getCodeType()

      Gets the value of the codeType property.
      Returns:
        possible object is `String`

    - #### setCodeType

          public void setCodeType(String value)

      Sets the value of the codeType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProductId

          public String getProductId()

      Gets the value of the productId property.
      Returns:
        possible object is `String`

    - #### setProductId

          public void setProductId(String value)

      Sets the value of the productId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.